/*!
 * Built by ShiftSoftware
 * Copyright (c)
 */
import { Host, h } from "@stencil/core";
import { getSharedLocal, sharedLocalesSchema } from "../../features/multi-lingual/index";
export class FormStructureError {
    constructor() {
        this.language = 'en';
        this.sharedLocales = sharedLocalesSchema.getDefault();
    }
    async componentWillLoad() {
        await this.changeLanguage(this.language);
    }
    async changeLanguage(newLanguage) {
        this.sharedLocales = await getSharedLocal(newLanguage);
    }
    render() {
        return (h(Host, { key: '6e58c1191fcc60cf0018500840270769a5b7fa18', translate: "no" }, h("div", { key: 'b3999532d91c083eb5814f031e166fc40682741f', dir: this.sharedLocales.direction, part: "form-structure-error-container", class: "form-structure-error-container" }, h("div", { key: 'ca5f4bd1cd34642062729d85e7b8dfc9c2eaec39', part: "form-structure-error-content", class: "form-structure-error-content" }, this.sharedLocales.errors.wrongFormStructure))));
    }
    static get is() { return "form-structure-error"; }
    static get originalStyleUrls() {
        return {
            "$": ["form-inputs.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["form-inputs.css"]
        };
    }
    static get properties() {
        return {
            "language": {
                "type": "string",
                "attribute": "language",
                "mutable": false,
                "complexType": {
                    "original": "LanguageKeys",
                    "resolved": "\"ar\" | \"en\" | \"ku\" | \"ru\"",
                    "references": {
                        "LanguageKeys": {
                            "location": "import",
                            "path": "~features/multi-lingual",
                            "id": "src/features/multi-lingual/index.ts::LanguageKeys"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "defaultValue": "'en'"
            }
        };
    }
    static get states() {
        return {
            "sharedLocales": {}
        };
    }
    static get watchers() {
        return [{
                "propName": "language",
                "methodName": "changeLanguage"
            }];
    }
}
